从RPM 版本 4.1开始,在安装或升级软件包时会检查软件包的签名,若您的系统使用了旧版本的GPG keys,那么需要获得最新的GPG keys才能安装。


一、错误提示参考


1、缺合适的签名


warning: Header V4 DSA signature: NOKEY, key ID 7fac5991


2、签名校验失败


error: V4 DSA signature: BAD, key ID 0352860f


3、文件头签名效验失败


error: Header V3 DSA signature: BAD, key ID 0352860f


二、可参考解决方法


cd /etc/pki/rpm-gpg   wget http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5


SSH执行以上命令,进入相关目录,下载最新的签名Key文件并导入。


评论专区
  • 昵 称必填
  • 邮 箱必填
  • 网 址选填
◎已有 0 人评论
作者介绍
吕布

吕布

负责所有栏目的编辑工作。
80vps henghost
budgetvm sugarhosts
点击关闭
  • 在线客服1

    在线客服2

    在线客服3

分享:

支付宝

微信